summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author James Axl <axlrose112@gmail.com>2017-03-14 00:21:11 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-03-18 06:58:30 +0700
commitbd1648a1e7e517feb2e6d0db5ca10050196541eb (patch)
treef75359a47a7d4ee60cdaeed9ec8923a34b2920f9 /libraries
parent4c172cbde73f43d115a0fb3116f9b2d1b23e5962 (diff)
downloadslackbuilds-bd1648a1e7e517feb2e6d0db5ca10050196541eb.tar.gz
slackbuilds-bd1648a1e7e517feb2e6d0db5ca10050196541eb.tar.xz
libraries/mongo-c-driver: Added (C driver for MongoDB).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/mongo-c-driver/README6
-rw-r--r--libraries/mongo-c-driver/mongo-c-driver.SlackBuild108
-rw-r--r--libraries/mongo-c-driver/mongo-c-driver.info10
-rw-r--r--libraries/mongo-c-driver/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/libraries/mongo-c-driver/README b/libraries/mongo-c-driver/README
new file mode 100644
index 0000000000..3bcd2985c3
--- /dev/null
+++ b/libraries/mongo-c-driver/README
@@ -0,0 +1,6 @@
+mongo-c is is the official C driver for MongoDB.
+
+Optional Dependency
+
+To build documentation, install sphinx and run
+ DOCS="yes" ./mongo-c-driver.SlackBuild
diff --git a/libraries/mongo-c-driver/mongo-c-driver.SlackBuild b/libraries/mongo-c-driver/mongo-c-driver.SlackBuild
new file mode 100644
index 0000000000..b0c707f20e
--- /dev/null
+++ b/libraries/mongo-c-driver/mongo-c-driver.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for mongo-c-driver
+
+# Copyright 2017 James Axl <axlrose112@gmail.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mongo-c-driver
+VERSION=${VERSION:-1.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Flag Docs, if needed
+PDOCS=""
+MkDOCS=""
+if [ "${DOCS:-no}" = "yes" ]; then
+ PDOCS="--enable-html-docs --enable-man-pages"
+ MkDOCS="man html"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-automatic-init-and-cleanup \
+ $PDOCS \
+ --build=$ARCH-slackware-linux
+
+make $MkDOCS
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog CONTRIBUTING.md NEWS README README.rst \
+ THIRD_PARTY_NOTICES VERSION_CURRENT VERSION_RELEASED \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/mongo-c-driver/mongo-c-driver.info b/libraries/mongo-c-driver/mongo-c-driver.info
new file mode 100644
index 0000000000..2c2ecc783f
--- /dev/null
+++ b/libraries/mongo-c-driver/mongo-c-driver.info
@@ -0,0 +1,10 @@
+PRGNAM="mongo-c-driver"
+VERSION="1.6.1"
+HOMEPAGE="http://mongoc.org"
+DOWNLOAD="https://github.com/mongodb/mongo-c-driver/releases/download/1.6.1/mongo-c-driver-1.6.1.tar.gz"
+MD5SUM="826946de9a15f7f453aefecdc76b1c0d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="James Axl"
+EMAIL="axlrose112@gmail.com"
diff --git a/libraries/mongo-c-driver/slack-desc b/libraries/mongo-c-driver/slack-desc
new file mode 100644
index 0000000000..d4a619b726
--- /dev/null
+++ b/libraries/mongo-c-driver/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mongo-c-driver: mongo-c-driver (C driver for MongoDB)
+mongo-c-driver:
+mongo-c-driver: mongo-c-driver is the official C driver for MongoDB.
+mongo-c-driver:
+mongo-c-driver: If you are writing software in C that needs to access databases
+mongo-c-driver: managed by MongoDB on just about any platform, then mongo-c-driver
+mongo-c-driver: is the library you use. It is the standard C language binding
+mongo-c-driver: for MongoDB.
+mongo-c-driver:
+mongo-c-driver:
+mongo-c-driver: